Image to Image
curl --request POST \
--url https://api.modelhunter.ai/api/v1/gemini/image-to-image \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"input": {
"prompt": "<string>",
"image_input": [
"<string>"
],
"aspect_ratio": "<string>",
"resolution": "<string>",
"output_format": "<string>",
"google_search": true
},
"webhookUrl": "<string>",
"metadata": {}
}
'import requests
url = "https://api.modelhunter.ai/api/v1/gemini/image-to-image"
payload = {
"model": "<string>",
"input": {
"prompt": "<string>",
"image_input": ["<string>"],
"aspect_ratio": "<string>",
"resolution": "<string>",
"output_format": "<string>",
"google_search": True
},
"webhookUrl": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
input: {
prompt: '<string>',
image_input: ['<string>'],
aspect_ratio: '<string>',
resolution: '<string>',
output_format: '<string>',
google_search: true
},
webhookUrl: '<string>',
metadata: {}
})
};
fetch('https://api.modelhunter.ai/api/v1/gemini/image-to-image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "task_abc123",
"status": "pending",
"type": "image-to-image",
"provider": "gemini",
"model": "nano-banana-2",
"created_at": "2026-02-27T10:00:00Z",
"estimated_seconds": 10
}
}
{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}
Gemini
Image to Image
Edit and transform images using Google Gemini models.
POST
/
api
/
v1
/
gemini
/
image-to-image
Image to Image
Body Parameters
string
required
Gemini model. Options:
nano-banana-2— Google Gemini 3.1 Flash Image, $0.08–$0.16/image
object
required
Input parameters for the generation.
Show properties
Show properties
string
required
Text description to guide the image editing or generation.
string[]
Reference image URLs (up to 14). Provide one or more images for image-to-image editing.
string
default:"auto"
Output aspect ratio. Options:
auto, 1:1, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9, 21:9, 1:4, 4:1, 1:8, 8:1string
default:"1K"
Output resolution. Options:
1K— $0.08/image2K— $0.12/image4K— $0.16/image
string
default:"jpg"
Output image format. Options:
jpg, pngboolean
default:false
Enable real-time Google Search to enhance generation with up-to-date information. Free of charge.
string
URL to receive a webhook when the task completes.
object
Custom key-value metadata to attach to the task.
{
"success": true,
"data": {
"id": "task_abc123",
"status": "pending",
"type": "image-to-image",
"provider": "gemini",
"model": "nano-banana-2",
"created_at": "2026-02-27T10:00:00Z",
"estimated_seconds": 10
}
}
{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}
⌘I